Partio

Public Member Functions | Public Attributes | Private Attributes | Friends | List of all members
Partio::ParticleAccessor Struct Reference

`#include <PartioIterator.h>`

## Public Member Functions
| ParticleAccessor (const ParticleAttribute &attr)
template<class TDATA , class TITERATOR >
TDATA * | raw (const TITERATOR &it)
template<class TDATA , class TITERATOR >
const TDATA * | raw (const TITERATOR &it) const
template<class TDATA , class TITERATOR >
TDATA & | data (const TITERATOR &it)
template<class TDATA , class TITERATOR >
const TDATA & | data (const TITERATOR &it) const

## Public Attributes
int | stride
char * | basePointer
int | attributeIndex
int | count

## Private Attributes
ParticleAttributeType | type
ParticleAccessor * | next

## Friends
class | ParticleIterator< true >
class | ParticleIterator< false >

## Constructor & Destructor Documentation

## ◆ ParticleAccessor()

Partio::ParticleAccessor::ParticleAccessor | ( | const ParticleAttribute & | attr | ) |
| inline

## Member Function Documentation

## ◆ data() [1/2]

template<class TDATA , class TITERATOR >

TDATA & Partio::ParticleAccessor::data | ( | const TITERATOR & | it | ) |
| inline

References basePointer, stride, and Partio::typeCheck().

## ◆ data() [2/2]

template<class TDATA , class TITERATOR >

const TDATA & Partio::ParticleAccessor::data | ( | const TITERATOR & | it | ) | const
| inline

References basePointer, stride, and Partio::typeCheck().

## ◆ raw() [1/2]

template<class TDATA , class TITERATOR >

TDATA * Partio::ParticleAccessor::raw | ( | const TITERATOR & | it | ) |
| inline

References basePointer, stride, and Partio::typeCheck().

## ◆ raw() [2/2]

template<class TDATA , class TITERATOR >

const TDATA * Partio::ParticleAccessor::raw | ( | const TITERATOR & | it | ) | const
| inline

References basePointer, stride, and Partio::typeCheck().

## Friends And Related Symbol Documentation

## ◆ ParticleIterator< false >

friend class ParticleIterator< false >
| friend

## ◆ ParticleIterator< true >

friend class ParticleIterator< true >
| friend

## Member Data Documentation

## ◆ attributeIndex

int Partio::ParticleAccessor::attributeIndex

## ◆ basePointer

char* Partio::ParticleAccessor::basePointer

Referenced by data(), data(), raw(), and raw().

## ◆ count

int Partio::ParticleAccessor::count

## ◆ next

ParticleAccessor* Partio::ParticleAccessor::next
| private

## ◆ stride

int Partio::ParticleAccessor::stride

Referenced by data(), data(), raw(), and raw().

## ◆ type

ParticleAttributeType Partio::ParticleAccessor::type
| private

The documentation for this struct was generated from the following file:

- src/lib/PartioIterator.h